Authentication

Obtaining Credentials

To request credentials for using the Smart Bonding API, contact your Cisco Account Manager, who will engage the Smart Bonding team.

Generating an Access Token

The Smart Bonding API allows access only for authorized users. Each REST API request must include an HTTP Authorization header with Bearer access token:

Example Authorization Header

Authorization: Bearer S7PNCbQ8...d5rTHzj

Note: All operations must communicate over a secure HTTPS connection.

To generate access tokens, the Smart Bonding API uses the OAuth2 Client Credentials flow.

This is a simple POST request to the Cisco SSO token endpoint:

https://id.cisco.com/oauth2/default/v1/token

with query parameters:

  • grant_type: client_credentials
  • client_id: your integration's client_id
  • client_secret: your integration's client_secret

Example Token Request

POST https://id.cisco.com/oauth2/default/v1/token?grant_type=client_credentials&client_id={{client_id}}&client_secret={{client_secret}}

Note: No body should be provided in the request.

Below is example response:

{ 
  "access_token": "7SrHBrYi...Zvr94Un", 
  "token_type": "Bearer”, 
  "expires_in": 3599 
}

Tokens are valid for one hour. Re-authentication is necessary after expiration to successfully send API Calls.

Making an API Request

The access token can then be provided in an Authorization: Bearer header when making requests:

Example Request

GET /sb-partner-oauth-proxy-api/rest/v1/pull/call
Authorization: Bearer rqrbLD9xL...ES8XIN3u